import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { routes } from './account.routes';
import { AccountComponent } from './account.component';


@NgModule({
  declarations: [
    // Components / Directives/ Pipes
    AccountComponent,
  ],
  imports: [
    CommonModule,
    FormsModule,
    RouterModule.forChild(routes),
  ],
})
export class AccountModule {
  public static routes = routes;
}
