import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { DashboardLayoutModule, DashboardMenuModule } from 'modules';

import { routes } from './active-pwd.routes';
import { SubAccountActivePwdComponent } from './active-pwd.component';

@NgModule({
  declarations: [
    // Components / Directives/ Pipes
    SubAccountActivePwdComponent,
  ],
  imports: [
    CommonModule,
    FormsModule,
    DashboardLayoutModule,
    DashboardMenuModule,
    RouterModule.forChild(routes),
  ],
})
export class SubAccountActivePwdModule {
  public static routes = routes;
}
