import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { DashboardLayoutModule, DashboardMenuModule } from 'modules';

import { routes } from './info.routes';
import { AccountInfoComponent } from './info.component';


@NgModule({
  declarations: [
    AccountInfoComponent,
  ],
  imports: [
    CommonModule,
    FormsModule,
    DashboardLayoutModule,
    DashboardMenuModule,
    RouterModule.forChild(routes),
  ],
})
export class AccountInfoModule {
  public static routes = routes;
}
