import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { DashboardLayoutModule } from 'modules';

import { routes } from './pwd.routes';
import { AccountPwdComponent } from './pwd.component';


@NgModule({
  declarations: [
    AccountPwdComponent,
  ],
  imports: [
    CommonModule,
    FormsModule,
    DashboardLayoutModule,
    RouterModule.forChild(routes),
  ],
})
export class AccountPwdModule {
  public static routes = routes;
}
