import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { DashboardLayoutModule, DashboardMenuModule, ListEmptyModule, WinOrderDetailModule, WinApplyInvoiceModule, WinAlertModule, WinConfirmModule } from 'modules';

import { routes } from './list.routes';
import { OrderListComponent } from './list.component';


@NgModule({
  declarations: [
    // Components / Directives/ Pipes
    OrderListComponent,
  ],
  imports: [
    CommonModule,
    FormsModule,
    DashboardLayoutModule,
    DashboardMenuModule,
    ListEmptyModule,
    WinOrderDetailModule,
    WinApplyInvoiceModule,
    WinAlertModule,
    WinConfirmModule,
    RouterModule.forChild(routes),
  ],
})
export class SubAccountListModule {
  public static routes = routes;
}
