import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { routes } from './order.routes';
import { OrderManageComponent } from './order.component';


@NgModule({
  declarations: [
    // Components / Directives/ Pipes
    OrderManageComponent,
  ],
  providers: [
  ],
  imports: [
    CommonModule,
    FormsModule,
    RouterModule.forChild(routes),
  ],
})
export class OrderManageModule {
  public static routes = routes;
}
