import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { routes } from './store-current.routes';
import { StoreCurrentComponent } from './store-current.component';
import { DashboardLayoutModule, DashboardMenuModule } from 'modules';


@NgModule({
  declarations: [
    // Components / Directives/ Pipes
    StoreCurrentComponent,
  ],
  imports: [
    CommonModule,
    FormsModule,
    DashboardLayoutModule,
    DashboardMenuModule,
    RouterModule.forChild(routes),
  ],
})
export class StoreCurrentModule {
  public static routes = routes;
}
