import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { DashboardLayoutModule, DashboardMenuModule, ListEmptyModule,StoreQrModule } from 'modules';

import { routes } from './list.routes';
import { StoreListComponent } from './list.component';


@NgModule({
  declarations: [
    // Components / Directives/ Pipes
    StoreListComponent,
  ],
  imports: [
    CommonModule,
    FormsModule,
    DashboardLayoutModule,
    DashboardMenuModule,
    ListEmptyModule,
    StoreQrModule,
    RouterModule.forChild(routes),
  ],
})
export class StoreListModule {
  public static routes = routes;
}
