import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';


import { StoreFormComponent } from './store-form.component';
import { StoreServiceTypeModule, AddressProvinceCityModule } from 'modules';



@NgModule({
  declarations: [
    // Components / Directives/ Pipes
    StoreFormComponent,
  ],
  imports: [
    CommonModule,
    FormsModule,
    StoreServiceTypeModule,
    AddressProvinceCityModule
  ],
  exports: [
      StoreFormComponent
  ]
})
export class StoreFormModule {
}
