import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { routes } from './store.routes';
import { StoreComponent } from './store.component';


@NgModule({
  declarations: [
    // Components / Directives/ Pipes
    StoreComponent,
  ],
  providers: [
  ],
  imports: [
    CommonModule,
    FormsModule,
    RouterModule.forChild(routes),
  ],
})
export class StoreModule {
  public static routes = routes;
}
