import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { DashboardLayoutModule, DashboardMenuModule, WinConfirmModule } from 'modules';
import { SubAccountFormModule } from '../form';

import { routes } from './edit.routes';
import { SubAccountEditComponent } from './edit.component';


@NgModule({
  declarations: [
    // Components / Directives/ Pipes
    SubAccountEditComponent,
  ],
  imports: [
    CommonModule,
    FormsModule,
    DashboardLayoutModule,
    DashboardMenuModule,
    SubAccountFormModule,
    WinConfirmModule,
    RouterModule.forChild(routes),
  ],
})
export class SubAccountEditModule {
  public static routes = routes;
}
