import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { DashboardLayoutModule, DashboardMenuModule, ListEmptyModule, StoreQrModule } from 'modules';

import { routes } from './list.routes';
import { SubAccountListComponent } from './list.component';

@NgModule({
  declarations: [
    // Components / Directives/ Pipes
    SubAccountListComponent,
  ],
  imports: [
    CommonModule,
    FormsModule,
    DashboardLayoutModule,
    DashboardMenuModule,
    ListEmptyModule,
    StoreQrModule,
    RouterModule.forChild(routes),
  ],
})
export class SubAccountListModule {
  public static routes = routes;
}
