import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { SubAccountFormComponent } from './form.component';
import { WinStoreSelectModule } from 'modules';

@NgModule({
  declarations: [
    // Components / Directives/ Pipes
    SubAccountFormComponent,
  ],
  imports: [
    CommonModule,
    FormsModule,
    WinStoreSelectModule
  ],
  exports: [
      SubAccountFormComponent
  ]
})
export class SubAccountFormModule {
}
