import { Component, OnInit, OnDestroy, NgZone, AfterContentInit, AfterViewInit } from '@angular/core';
import {  Router, ActivatedRoute } from '@angular/router';
import * as _ from 'lodash';
import { CommonService } from 'services';

@Component({
  selector: 'mx-business-dev',
  templateUrl: './business-dev.component.html',
  styleUrls: ['./business-dev.component.scss'],
  providers: [CommonService]
})
export class MxBusinessDevComponent {

    constructor(
        private router: Router,
        public route: ActivatedRoute,
        private cs: CommonService
    ) {}

    /**
     * 返回登录页
     * 
     * 
     * @memberOf MxBusinessDevComponent
     */
    public onGotoLogin() {
        this.cs.gotoLoginPage(this.router);
    }

}
