import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { routes } from './business-dev.routes';
import { MxBusinessDevComponent } from './business-dev.component';


@NgModule({
  declarations: [
    MxBusinessDevComponent,
  ],
  imports: [
    CommonModule,
    FormsModule,
    RouterModule.forChild(routes),
  ],
})
export class MxBusinessDevModule {
  public static routes = routes;
}
