import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { routes } from './find-pwd.routes';
import { UserFindPwdComponent } from './find-pwd.component';
import { UserFindPwdSetComponent } from './find-pwd-set.component';
import { UserFindPwdDoneComponent } from './find-pwd-done.component';
import { ThCaptchaModule, ThSmsModule } from 'modules';

@NgModule({
  declarations: [
    // Components / Directives/ Pipes
    UserFindPwdComponent,
    UserFindPwdSetComponent,
    UserFindPwdDoneComponent
  ],
  imports: [
    CommonModule,
    FormsModule,
    RouterModule.forChild(routes),
    ThCaptchaModule,
    ThSmsModule
  ],
})
export class UserFindPwdModule {
  public static routes = routes;
}
