import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { routes } from './login.routes';
import { UserLoginComponent } from './login.component';

@NgModule({
  declarations: [
    // Components / Directives/ Pipes
    UserLoginComponent,
  ],
  imports: [
    CommonModule,
    FormsModule,
    RouterModule.forChild(routes),
  ],
})
export class UserLoginModule {
  public static routes = routes;
}
