import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { routes } from './regist.routes';
import { UserRegistComponent } from './regist.component';

@NgModule({
  declarations: [
    // Components / Directives/ Pipes
    UserRegistComponent,
  ],
  imports: [
    CommonModule,
    FormsModule,
    RouterModule.forChild(routes),
  ],
})
export class UserRegistModule {
  public static routes = routes;
}
