import { Component, OnInit, Input } from '@angular/core';

@Component({
    selector: 'dashboard-layout',
    templateUrl: './dashboard-layout.component.html',
    styleUrls: ['./dashboard-layout.component.scss']
})
export class DashboardLayoutComponent implements OnInit {
    @Input() public menu = { show: false };
    constructor() {
        
    }

    public ngOnInit() {

    }

    /**
     * 切换主菜单显示状态
     * 
     * 
     * @memberOf DashboardLayoutComponent
     */
    public onToggleMenu() {
        this.menu.show = !this.menu.show;
    }
}
