import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';

import { DashboardMenuModule } from '../dashboard-menu';

import { DashboardLayoutComponent } from './dashboard-layout.component';

@NgModule({
    imports: [
        CommonModule,
        FormsModule,
        DashboardMenuModule
    ],
    declarations: [
        DashboardLayoutComponent
    ],
    exports: [
        DashboardLayoutComponent
    ]
})

export class DashboardLayoutModule {}
