import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { FormsModule } from '@angular/forms';

import { DashboardMenuComponent } from './dashboard-menu.component';

@NgModule({
    imports: [
        CommonModule,
        FormsModule,
        RouterModule
    ],
    declarations: [
        DashboardMenuComponent
    ],
    exports: [
        DashboardMenuComponent
    ]
})

export class DashboardMenuModule {}
