import { Directive, ElementRef, HostListener, Input, OnInit } from '@angular/core';
import * as echarts from 'echarts';

@Directive({
    selector: '[echartOption]'
})
export class EChartOptionDirective implements OnInit {
    @Input('echartOption') set option(op) {
        echarts.init(this.el.nativeElement).setOption(op);
    }

    constructor(private el: ElementRef) { }

    public ngOnInit(): void {
        // echarts.init(this.el.nativeElement).setOption(this.option);
    }
}