import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { MyShopResponseItem } from 'client';

@Component({
    selector: 'store-qr',
    templateUrl: './store-qr.component.html',
    styleUrls: ['./store-qr.component.scss']
})
export class StoreQrComponent implements OnInit {

    @Input() public store: MyShopResponseItem;
    @Output() public onClose: EventEmitter<any> = new EventEmitter();

    constructor() {
    }

    public ngOnInit() {
    }

    public onCloseWin() {
        this.onClose.emit();
    }

}
