import { Pipe, PipeTransform } from '@angular/core';
import { MyOrderListItem } from 'client';
@Pipe({
    name: 'mxOrderListPipe',
    // pure: false
})
export class MxOrderListPipe implements PipeTransform {
    public transform(value: MyOrderListItem[], status: number) {
        if (status === 0) {
            return value;
        }
        return value.filter((item) => item.status === status);
    }
}
