import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { routes } from './storeorder.routes';
import { StoreorderComponent } from './storeorder.component';

@NgModule({
  declarations: [
    // Components / Directives/ Pipes
    StoreorderComponent,
  ],
  imports: [
    CommonModule,
    FormsModule,
    RouterModule.forChild(routes),
  ],
})
export class StoreorderModule {
  public static routes = routes;
}
