import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { routes } from './award.routes';
import { MxAwardComponent } from './award.component';


@NgModule({
  declarations: [
    // Components / Directives/ Pipes
    MxAwardComponent,
  ],
  imports: [
    CommonModule,
    FormsModule,
    RouterModule.forChild(routes),
  ],
})
export class MxAwardModule {
  public static routes = routes;
}
