import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { DashboardLayoutModule, DashboardMenuModule } from 'modules';

import { routes } from './report.routes';
import { ReportComponent } from './report.component';

@NgModule({
  declarations: [
    // Components / Directives/ Pipes
    ReportComponent,
  ],
  imports: [
    CommonModule,
    FormsModule,
    DashboardLayoutModule,
    DashboardMenuModule,
    RouterModule.forChild(routes),
  ]
})
export class ReportModule {
  public static routes = routes;
}
