import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { DashboardLayoutModule, DashboardMenuModule } from 'modules';
import { StoreFormModule } from '../store-form';

import { routes } from './add.routes';
import { StoreAddComponent } from './add.component';


@NgModule({
  declarations: [
    // Components / Directives/ Pipes
    StoreAddComponent,
  ],
  imports: [
    CommonModule,
    FormsModule,
    DashboardLayoutModule,
    DashboardMenuModule,
    StoreFormModule,
    RouterModule.forChild(routes),
  ],
})
export class StoreAddModule {
  public static routes = routes;
}
