import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { DashboardLayoutModule, DashboardMenuModule, WinConfirmModule } from 'modules';
import { StoreFormModule } from '../store-form';

import { routes } from './edit.routes';
import { StoreEditComponent } from './edit.component';


@NgModule({
  declarations: [
    // Components / Directives/ Pipes
    StoreEditComponent,
  ],
  imports: [
    CommonModule,
    FormsModule,
    DashboardLayoutModule,
    DashboardMenuModule,
    StoreFormModule,
    WinConfirmModule,
    RouterModule.forChild(routes),
  ],
})
export class StoreEditModule {
  public static routes = routes;
}
