import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { DashboardLayoutModule, DashboardMenuModule } from 'modules';
import { SubAccountFormModule } from '../form';

import { routes } from './add.routes';
import { SubAccountAddComponent } from './add.component';

@NgModule({
  declarations: [
    // Components / Directives/ Pipes
    SubAccountAddComponent,
  ],
  imports: [
    CommonModule,
    FormsModule,
    DashboardLayoutModule,
    DashboardMenuModule,
    SubAccountFormModule,
    RouterModule.forChild(routes),
  ],
})
export class SubAccountAddModule {
  public static routes = routes;
}
