import { DashboardComponent } from './dashboard.component';
import { DashboardAuthGuard } from 'services';


export const routes = [
  { path: '',
    component: DashboardComponent,
    canActivate: [DashboardAuthGuard],
    children: [
    { path: '', component: DashboardComponent },
    { path: 'report/simulation/car', loadChildren: './+report#ReportModule' },
    { path: 'report/store', loadChildren: './+report-store#ReportStoreModule' },
    { path: 'store', loadChildren: './+store#StoreModule' },
    { path: 'account', loadChildren: './+account#MyAccountModule' },
    { path: 'subaccount', loadChildren: './+sub-account#SubAccountModule' },
    { path: 'order', loadChildren: './+order#OrderManageModule' },
    { path: 'store/current', loadChildren: './+store-current#StoreCurrentModule' },
  ]},
];
