import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { routes } from './temp-pages.routes';
import { MxTempPagesComponent } from './temp-pages.component';


@NgModule({
  declarations: [
    MxTempPagesComponent
  ],
  imports: [
    CommonModule,
    FormsModule,
    RouterModule.forChild(routes),
  ],
})
export class MxTempPagesModule {
  public static routes = routes;
}
