export const PRICE_PER_STORE = 999;

// 发布到正式环境
let canWxPay: boolean;
let appProjectHost: string = '';

switch (THZSENV) {
    case 'prod':
        canWxPay = true;
        appProjectHost = 'http://www.thzhishu.com/manageredirect';
        break;
    case 'test':
    case 'devBuildTest':
        canWxPay = false;
        appProjectHost = 'http://192.168.1.81:4800/manageredirect';
        break;
    case 'outertest':
        canWxPay = false;
        appProjectHost = 'http://test.thzhishu.com/manageredirect';
        break;
    default:
        canWxPay = false;
        appProjectHost = 'http://localhost:8000';
}

export const CAN_WX_PAY: boolean = canWxPay;
export const APP_PROJECT_HOST: string = appProjectHost;
