import { Directive, ElementRef, HostListener } from '@angular/core';

@Directive({ selector: '[preventMaskScroll]' })
export class PreventMaskScrollDirective {
    constructor(public el: ElementRef) {
    }

    @HostListener('touchmove', ['$event']) public onTouchMoveHandler(e) {
        e.stopPropagation();
        e.preventDefault();
    }
}
