import { Component, Input, Output, OnInit, EventEmitter } from '@angular/core';
import { MxWinAlert } from 'interfaces';

@Component({
    selector: 'win-alert',
    templateUrl: './win-alert.component.html',
    styleUrls: ['./win-alert.component.scss']
})
export class WinAlertComponent implements OnInit {

    @Input() public alert: MxWinAlert = {
        tip: '',
        subTip: '',
        icon: '',
        btnText: ''
    };
    @Output() public onClose = new EventEmitter();
    constructor() {
    }

    public ngOnInit() {
    }

    public onCloseHandle() {
        this.onClose.emit();
    }

}
