import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';

import { WinApplyInvoiceComponent } from './win-apply-invoice.component';
import { MxDirectivesModule } from '../mx-directives';

@NgModule({
    imports: [
        CommonModule,
        FormsModule,
        MxDirectivesModule
    ],
    declarations: [
        WinApplyInvoiceComponent,
        // PreventMaskScrollDirective
    ],
    exports: [
        WinApplyInvoiceComponent
    ]
})

export class WinApplyInvoiceModule {}
