import { Component, Input, Output, OnInit, EventEmitter } from '@angular/core';

@Component({
    selector: 'win-confirm',
    templateUrl: './win-confirm.component.html',
    styleUrls: ['./win-confirm.component.scss']
})
export class WinConfirmComponent implements OnInit {

    @Input() private message: string = '';
    @Output() private onOkey = new EventEmitter();
    @Output() private onCancel = new EventEmitter();
    constructor() {
    }

    public ngOnInit() {
    }

    public onWarnSelect(status) {
        status ? this.onOkey.emit() : this.onCancel.emit();
    }

}
