import { Injectable }      from '@angular/core';
import { CanActivate, Router, ActivatedRouteSnapshot, RouterStateSnapshot }    from '@angular/router';
// import { Cookie } from 'ng2-cookies';
import { CommonService } from 'services';

@Injectable()
export class InitStoreAuthGuard implements CanActivate {
  constructor(private router: Router, private cs: CommonService) { }

  public canActivate() {
    console.log(' ----- InitStoreAuthGuard cs----- ', this.cs);
    let token = localStorage.getItem('token');
    if (!token) {
      this.cs.gotoLoginPage(this.router);
      return false;
    }
    let isSub = localStorage.getItem('isSub');
    let subStatus = localStorage.getItem('subStatus');
    if (isSub !== '1') {
      let shopPay = localStorage.getItem('shopPay');
      if (shopPay === '2') {
        this.cs.gotoReportCenterPage(this.router);
        return false;
      }
    } else {
      if (subStatus === '1') {
        this.router.navigate([`/activepwd`]);
        return false;
      }
    }
    return true;
  }

}
